[Catalog-sig] "python 2 only" classifier

Chris McDonough chrism at plope.com
Thu Dec 15 06:01:35 CET 2011


On Tue, 2011-12-13 at 12:29 +0200, Yuval Greenfield wrote:

> 2. A more useful classifier (in terms of PR) could be "Programming
> Language :: Python :: 2 :: Py3k equivalent exists". Which would denote
> that I can entirely remove the red package from the wall. This is
> currently done manually for the following: 'multiprocessing',
> 'simplejson', 'argparse', 'uuid', 'setuptools', 'Jinja'. So feel free
> to tell me if there are more I should add to this list. 

"zc.buildout" is actually Python 3.2 compatible now, FWIW.  Its 2.X
release line is 3.X compatible but the author doesn't want that to be
the default version pulled down yet, so he has "egg-only" releases of it
on PyPI which prevents easy_install/pip from treating it as "most
recent" for users of Python 3.  However, if you use Python 3, and ask
for it, you indeed get a Python 3 compat version,

- C




More information about the Catalog-SIG mailing list